[arch-commits] Commit in openslp/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 16 02:30:45 EDT 2009


    Date: Thursday, April 16, 2009 @ 02:30:45
  Author: eric
Revision: 35724

Merged revisions 35720 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/openslp/trunk

........
  r35720 | eric | 2009-04-16 02:19:06 -0400 (Thu, 16 Apr 2009) | 2 lines
  
  upgpkg: openslp 1.2.1-2
      Added license, Added backup array, FHS docs
........

Modified:
  openslp/repos/extra-i686/	(properties)
  openslp/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)


Property changes on: openslp/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /openslp/trunk:1-20850
   + /openslp/trunk:1-35723

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-16 06:26:24 UTC (rev 35723)
+++ extra-i686/PKGBUILD	2009-04-16 06:30:45 UTC (rev 35724)
@@ -2,21 +2,22 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=openslp
 pkgver=1.2.1
-pkgrel=1
+pkgrel=2
+pkgdesc="Open-source implementation of Service Location Protocol"
 arch=(i686 x86_64)
+url="http://www.openslp.org"
+license=('BSD')
 depends=('glibc' 'bash' 'openssl>=0.9.8b')
-pkgdesc="Open-source implementation of Service Location Protocol"
+backup=('etc/slp.conf' 'etc/slp.reg' 'etc/slp.spi')
 options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz rc.slpd)
-url="http://www.openslp.org"
 md5sums=('ff9999d1b44017281dd00ed2c4d32330' '4f6889a5944894b8be2c01404a9566d2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-
-  mkdir -p ${startdir}/pkg/etc/rc.d
-  install -m755 ${startdir}/src/rc.slpd ${startdir}/pkg/etc/rc.d/slpd
+  make DESTDIR=${pkgdir} DOC_DIR=/usr/share/doc/openslp-${pkgver} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  install -D -m755 ../rc.slpd ${pkgdir}/etc/rc.d/slpd
 }



More information about the arch-commits mailing list